Help!!! Ipod Issues

Questions about hardware,drivers and peripherals
Forum rules
Before you post please read this

Help!!! Ipod Issues

Postby VistaYuck on Thu Sep 04, 2008 11:35 pm

My daughter asked me to transfer some files to her Ipod. I told her that my laptop might be able to do it. I connected Ipod and Amarok seemed to be working just fine. It saw all of her files and I transferred music to ipod. All showed up and played fine. The problem was when I ejected the Ipod. It seemed like a normal eject until she noticed the "No Music" display. I reconnected and the files are still there and visible and playable via Amarok, but the Ipod cannot seem to see the files. My daughter wants he rmusic. I'm very green to the linux/mint world so Please have patience.
VistaYuck
Level 1
Level 1
 
Posts: 4
Joined: Fri Feb 22, 2008 5:30 pm

Linux Mint is funded by ads and donations.
 

Re: Help!!! Ipod Issues

Postby CavalierBob on Fri Sep 05, 2008 1:57 pm

You don't say if you are using Mint 4.0 or 5.0. I'm also assuming this is a pretty recent iPod model.

I had this exact same problem with my nano 3G (a fatty) and it is easy to fix. The problem is caused by Apple using a hash to keep 3rd party apps from working with iPods.

See this post in the Amarok wiki for a solution:

http://amarok.kde.org/wiki/Media_Device ... _any_music

I did this and now my nano 3G works just fine Mint 5.0.

Bob
All progress requires change, but not all change is progress.
--Henry Steele Commager

...there are some...who use change to promote their careers. And then there are those...who use their careers to promote change.
--Sarah Palin
User avatar
CavalierBob
Level 3
Level 3
 
Posts: 104
Joined: Wed May 14, 2008 2:27 pm
Location: Pleasant Hill, CA USA

Re: Help!!! Ipod Issues

Postby AK Dave on Fri Sep 05, 2008 5:05 pm

VistaYuck:
What version of Mint?
What version of Amarok?
What version of gtkpod?
What version/generation of iPod?

Did you try Search, did the link CavalierBob provided fix the problem, or does the problem still exist?
FWIW, Search is your friend. So is Google. This topic is not new. Terms to include in a search include ipod, amarok, and ubuntu.

The newer gen ipods require a 1.49 or newer build of Amarok and newer gtkpod and libs. None of those install with Mint 4.0 (Daryna), and backporting requires a lot of DIY compiling. All of those are AVAILABLE for Mint 5.0 (Elyssa) as straight binary installs.
User avatar
AK Dave
Level 6
Level 6
 
Posts: 1042
Joined: Wed May 14, 2008 3:39 pm
Location: Anchorage, AK USA


Return to Hardware Support

Who is online

Users browsing this forum: Oni45 and 12 guests